body {
    margin: 0;
    font-family: 'Poppins', sans-serif;
}

.container {
    width: 90%;
    margin: auto;
}
a, 
a:link, 
a:visited, 
a:hover, 
a:active {
  text-decoration: none;
  color: inherit;
}
.fa {
    font-weight: bold;
    font-size: 20px;
    margin-right: 5px;
    margin-top: 5px;
    margin-bottom: 5px;
    
}

.container .logo img{
    width: 100px;
    height: auto;
}

.info {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}
.infos{
    display: flex;
    flex-direction: row;
    align-items: center;
}
.infos p{
    display: grid;
    grid-template-rows: repeat(2,1fr);
    text-transform: capitalize;
    font-weight: bold;
    font-size: 13px;
    line-height: 1.8; 
}
.lowlight{
    font-weight:400 ;
    color : #9a9a9a;
}
.infos i{
    margin: 20px;
}
.infos .fa{
    color : #f12e3a;
}
.info .fa {
    font-weight: bold;
    font-size: 20px;
}
.flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* HEADER */
.topbar {
    background: #f5f5f5;
    padding: 10px 0;
}

.navbar {
    background: #232323;
    color: white;
}

.navbar ul {
    list-style: none;
    display: flex;
    gap: 20px;
}
.navbar .container ul li::after{
    content:'';
    width: 0%;
    height: 2px;
    background-color: #f12e3a;
    display: block;
    margin: auto;
    transition: 0.4s;
}
.navbar .container ul li:hover::after{
    width:100%;
}
/* FLOATING CIRCLE */


.menu-trigger{

    position: fixed;

    top: 30px;
    right: 30px;

    width: 60px;
    height: 60px;

    border-radius: 50%;
    background: #f12e3a;

    display:flex;
    align-items:center;
    justify-content:center;

    font-size: 30px;
    color:white;

    cursor:pointer;

    z-index:1000;

    opacity:0;
    visibility:hidden;

    transition:0.3s;
}

/* SHOW BUTTON */

.menu-trigger.show{
    opacity:1;
    visibility:visible;
}

/* SIDE NAVBAR */

.side-navbar{

    position: fixed;

    top:0;
    right:-250px;

    width:250px;
    height:100vh;

    background: #232323;

    display:flex;
    flex-direction:column;

    padding-top:100px;

    transition:0.4s;

    z-index:999;
}

/* LINKS */

.side-navbar a{

    color:white;
    text-decoration:none;

    padding:20px 30px;

    font-size:20px;

    transition:0.3s;
}

.side-navbar a:hover{
    background:#f12e3a;
}



/* SHOW SIDEBAR ON HOVER */


/* OPEN MENU */

.side-navbar.open{
    right:0;
}



/* HERO */
.hero {
    height: 100%;
    position: relative;
    overflow: hidden;
}
.hero-video {
    position: absolute;
    top: 0;
    left: 0;

    width: 100%;
    height: 100%;

    object-fit: cover;
    z-index: -1;
}
.hero::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.1);
    z-index: 0;
}

.overlay {
    position: relative;
    z-index: 1;
    background: rgba(0, 0, 0, 0.5);
    color: white;
    padding: 80px;
    height: 60vh;
    /* nbtn Spacing at the buttom of the div, how does it work ? I don't know  */
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 300px;
    

}
.overlay h1 span{
    color: #f12e3a;
}
.overlay .buttons .btn {
    padding: 16px 40px;   /* TOP/BOTTOM | LEFT/RIGHT */
    color: #ffffff;
}
.overlay .btn.secondary {
    color: #232323;
}
.overlay .buttons {
    margin-top: auto;
}
.hero h1 {
    color: #ffffff;
    font-size: 40px;
}
.hero p {
    font-size: 20px;
    color: #ffffff;
}

/* BUTTONS */
.btn {
    font-weight: bold;
    font-size: 17px;
    background: #f12e3a;
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    color: white;
    cursor: pointer;
}

.btn.secondary {
    background: white;
    color: #232323;
}

/* SERVICES */
.services {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 15px;
    margin-top: 50px;
}

.card {
    background: white;
    padding: 20px;
    text-align: center;
    box-shadow: 0 0 10px #15126c1e;
    /* nbtn Spacing at the buttom of the div, how does it work ? I don't know  */
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 300px;
    
}

.card .fa-solid {
    font-size: 100px;
    color: #f12e3a;
}
.card h3 {
    font-weight: 550;
    color: #232323;
}
.card p{
    padding-left: 10%;
    font-size: 14px;
    font-weight:500 ;
    color : #5c5c5c;
    text-align: left;
    align-items: flex-start;
}
.nbtn {
    font-weight: bold;
    font-size: 17px;
    background: #ffffff;
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    color: #232323;
    cursor: pointer;
    text-align: left;
    align-items: flex-start;
}


/* ABOUT */



.about {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-content: space-between;
    align-items: center;
    gap: 50px;
    margin: 50px auto;
}
.about .red{
    font-size: 16px ;
    font-weight: 600;
    color: #f12e3a;
}
.about h2{
    color: #232323;
}
.about p{
    
    font-size: 14px;
    font-weight:500 ;
    color : #5c5c5c;
}

.about img {
    width: 100%;
}
.list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    margin-top: 20px;
    margin-bottom: 20px;
}
.list ul{
    padding: 0;
    list-style-type: none;
}
.list ul li i {
    margin-right: 15px;

}

.list ul li{
    font-size: 15px;
    line-height: 2.5;
    font-weight: 600;
    color: #232323;
}
.list .fa-solid{
    font-size: 20px;
    color: #f12e3a ;
}


/* SLIDER 1 */


.slider {
    width: 100%;
    max-width: 1200px;
    margin: auto;
    position: relative;
    overflow: hidden;
    margin-bottom: 30px;
}

.slides {
    position: relative;
    height: 500px;
}

.slide {
    position: absolute;
    width: 100%;
    height: 100%;

    opacity: 0;
    transition: opacity 1s ease;

    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;

    background: #f5f5f5;
}

.slide.active {
    opacity: 1;
}


/* IMAGE */


.slide-image {
    width: 45%;
    height: 90%;
    overflow: hidden;
    margin-right: 30px;
    margin-left: 30px;
}

.slide-image img {
    width: 100%;
    height: 100%;

    object-fit: cover;
    object-position: top;

    display: block;
}

/* TEXT */

.slide-content {
    width: 50%;
}

.slide-content h1 {
    font-size: 40px;
    margin-bottom: 20px;
    color: #232323;
}

.slide-content p {
    line-height: 1.7;
    color : #5c5c5c;
}
.slide-content .btn{
    background-color: #232323;

}
/* DOTS */

.dots {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 20px;
}

.dot {
    width: 30px;
    height: 5px;
    border-radius: 15%;
    background: #232323;
    cursor: pointer;
}

.dot.active {
    background: #f12e3a;
}

/* SLIDE 2 */

/* SLIDER */

.mini-slider{

    width:100%;
    max-width:1200px;

    margin:auto;

    position:relative;

    overflow:hidden;
    height: 700px;
    
}

/* SLIDES */

.mini-slide{
    position:absolute;
    
    width:100%;

    opacity:0;
    visibility:hidden;

    transition:
        opacity 0.5s ease,
        visibility 0.5s ease;

    width:100%;
    height: 100%;

    opacity:0;


    display:flex;

    align-items:center;
    justify-content:space-between;

    gap:40px;

    background:#fff;

    padding:40px;

    box-sizing:border-box;

    z-index: 1;
    background-color: #232323;
    
}

.mini-slide.active{
    opacity:1;
    visibility:visible;
    position:absolute;
    overflow: hidden;
    background-color: #232323;
    
}

/* IMAGE */

.mini-slide-image{
    width:50%;
    height:400px;

    overflow:hidden;
}

.mini-slide-image img{

    width:100%;
    height:100%;

    object-fit:fill;

    display:block;
}

/* CONTENT */

.mini-slide-content{
    width:45%;
}

.why .mini-slide-content h1{
    font-size:42px;
    margin-bottom:20px;
    color: #ffffff;
}

.why .mini-slide-content p{
    line-height:1.7;
    margin-bottom:20px;
    color: #ffffff;
}



/* MAP */

.map-content{
    width:100%;
}

.map-content h1{
    margin:20px auto; 
}



/* ARROWS CONTAINER */

.slider-arrows{

    position:absolute;

    top:50%;
    left:0;

    width:100%;

    display:flex;

    justify-content:space-between;

    transform:translateY(-50%);

    z-index:100;
}

/* BUTTONS */

.arrow{

    width:50px;
    height:50px;

    border:none;

    border-radius:50%;

    background:#f12e3b7a;

    color:white;

    font-size:28px;

    cursor:pointer;

    transition:0.3s;
}

.arrow:hover{
    background:#f12e3a;
}

/* SLIDE 2 */



/* WHY */
.why {
    background: #232323;
    color: white;
    padding: 40px 0;
}




/* PROJECTS */
.projects {
    text-align: center;
}

.myGallery{

    width: 100%;
    
    height: 800px;


    margin: 30px auto;



}

.swiper-slide{

    max-width: 430px;
    
  
    overflow: hidden;

    display: flex;
    justify-content: center;
    align-items: center;

    transition: 0.4s;
}

.swiper-slide img{

    width: 100%;
    height: 100%;

    object-fit: cover;

    display: block;
}
.swiper-slide video{

    width: 100%;
    height: 100%;

    object-fit: cover;

    display: block;
}




/* FOOTER */
.footer{
    width: 100%;
    text-align: center;
    padding: 30px 0;
    background-color: #f12e3a;
}
.footer h4{
    margin-bottom: 25px;
    margin-top: 20px;
    font-weight: 600;
    color: white;
}
.footer p{
    color:rgb(255, 255, 255);
    font-size: 14px;
    font-weight: 300;
    line-height: 22px;
    padding: 10px;
}
.icons .fa{
    font-size: 40px;
    color: #ffffff;
    margin: 0 13px;
    cursor: pointer;
    padding: 18px 0;
}
.fa-heart{
    color: #ffffff;
}






/* PHONE VIEW */

@media(max-width:950px){
    .navbar{
        display: none;
    }
    .topbar .container .btn {
        display: none;
    }
    .infos {
    display: flex;
    flex-direction: column;
    }
    .info {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    }
    .infos p{
    text-align: center;
    }
    .hero .overlay h1{
        font-size: 26px;
    }
    .hero .overlay p{
        font-size: 14px;
    }
    .overlay .buttons .btn {
    padding: 8px 20px;   /* TOP/BOTTOM | LEFT/RIGHT */
    font-size: 14px;
    margin-left: 20px;
    margin-bottom: 10px;
    }
    .services {
    grid-template-columns: 1fr;
    gap: 15px;
    }
    .nbtn {
    text-align: center;
    align-items: center;
    }
    .about {
    grid-template-columns: 1fr;
    }
    .slides {
    position: relative;
    height: 900px;
    }
    .slide {
    flex-direction: column;
    justify-content: center;

    }
    .slide-image {
    width: 90%;
    height: 45%;
    }
    .slide-content {
    width: 90%;
    }
    .dot {
    width: 30px;
    height: 20px;
    }
    .mini-slide{
        flex-direction: column;
        justify-content: center;
    }
    .myGallery{
    height: 600px;
    }
    .swiper-slide{

    max-width: 330px;
    
    }
    .mini-slide-image{
    width: 90%;
    height: 45%;
    }
    .mini-slide-content{
    width: 90%;
    }
    .why .mini-slide-content p{
        font-size: clamp(0.6rem, 1.5vw, 1.3rem);
    }
    .why .mini-slide-content h3{
        margin: 0;
        font-size: clamp(0.7rem, 1.5vw, 1.3rem);
    }
    .why .mini-slide-content h1{
        margin: 0;
        font-size: clamp(1rem, 3vw, 4rem);
    }
    .why .mini-slide{
        padding: 10px;
    }
    .why {
        padding: 0;
    }
    
}


@media(max-width:600px){
    
    .infos p{
    font-size: 10px;
    }
    .menu-trigger{

    position: fixed;

    top: 200px;
    
    }

    .menu-trigger.sh{
        top:30px;
    }


    .myGallery{
    height: 500px;
    }
    .swiper-slide{

    max-width: 250px;
    
    }

    
    
}
@media(max-width:500px){
    
    .overlay .buttons .btn {

    margin-left: 0px;
    }
    .hero .overlay p{
        font-size: 10px;
    }
}
@media(max-width:400px){
    
    .logo {
        display: none;
    }
}

/* PHONE VIEW */
